Package ghidra.framework.model

# Class ToolAssociationInfo

java.lang.Object
ghidra.framework.model.ToolAssociationInfo

public class ToolAssociationInfo extends Object
A class that describes a content types and the tool used to open it.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ToolAssociationInfo(ContentHandler contentHandler, String associatedToolName, ToolTemplate currentToolTemplate, ToolTemplate defaultTemplate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAssociatedToolName()`
  `ContentHandler`
  `getContentHandler()`
  `ToolTemplate`
  `getCurrentTemplate()`
  Returns the currently assigned tool used to open the content type of this association.
  `ToolTemplate`
  `getDefaultTemplate()`
  `boolean`
  `isDefault()`
  `void`
  `restoreDefaultAssociation()`
  `void`
  `setCurrentTool(ToolTemplate toolTemplate)`
  Sets the tool name that should be used to open files for the content type represented by this tool association.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ToolAssociationInfo

    public ToolAssociationInfo(ContentHandler contentHandler, String associatedToolName, ToolTemplate currentToolTemplate, ToolTemplate defaultTemplate)

- ## Method Details

  - ### getContentHandler

    public ContentHandler getContentHandler()

  - ### getCurrentTemplate

    public ToolTemplate getCurrentTemplate()
    Returns the currently assigned tool used to open the content type of this association.

  - ### getDefaultTemplate

    public ToolTemplate getDefaultTemplate()

  - ### getAssociatedToolName

    public String getAssociatedToolName()

  - ### isDefault

    public boolean isDefault()

  - ### setCurrentTool

    public void setCurrentTool(ToolTemplate toolTemplate)
    Sets the tool name that should be used to open files for the content type represented by this tool association.

  - ### restoreDefaultAssociation

    public void restoreDefaultAssociation()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`